
#define EMPTY (-2)
#define GROUND (-1)
#define TRANSIT (-3)
#define UNUSED (-4)
#define RESERVED (-5)

#define ISSOLID(thing) (((thing)>=0) || ((thing) == GROUND))
#define ISNBRICK(thing) (((thing) == EMPTY) || (thing)==GROUND)
#define ISBRICK(thing) (!ISNBRICK(thing))
#define ISEMPTY(thing) ((thing)==EMPTY)


/****** grid ********/
#define GRID BYTEINT
#define GMAXX (MAXX+1)
#define GMINX (MINX-1)
#define GMAXY (MAXY+1)
#define GMINY (MINY-1)

int setgrid(int x, int y, int value);
int getgrid(int x, int y) ;
void initgrid(void) ;
