#ifdef PROBLEM_C
#define EXPORT 
#define INIT_VARS
#else
#define EXPORT extern
#undef INIT_VARS
#endif

#define PREDEF_BRICK_NO 0


#define PLATE /* 32 */ 3
#define MINY (-30)
#define MAXY 40
#define MAXX (80)
#define MINX (-50)

EXPORT int minx
#ifdef INIT_VARS
= MINX
#endif
;
EXPORT int maxx
#ifdef INIT_VARS
= MAXX
#endif
;
EXPORT int miny
#ifdef INIT_VARS
= MINY
#endif
;
EXPORT int maxy
#ifdef INIT_VARS
= MAXY
#endif
;
/*
#define BRICKSIZES_LIST 1,2,4,6,8,10,12,16
#define BRICKSIZES 8
*/
#define BRICKSIZES_LIST 1,2,4,6,8,10
#define BRICKSIZES 6

int tooheavy(void);
REAL fitness(void);
void reserve_spots(int mode);


EXPORT struct {
  brick brick;
  int x,y;
} predef_bricks[PREDEF_BRICK_NO] 
#ifdef INIT_VARS
=   { }
#endif
;

#define GROUND_KIND 0
#define BRICK_KIND 1
#define TARGET_KIND 2
#define RESTRICTION_KIND 3
#define LOAD_KIND 4
#define FIXED_KIND 5
#define GHOST_KIND 6
#define KINDS_COUNT 7

typedef struct {
  short kind;
  short x,y,size;
  short id;
} obj_type;

#define MAX_OBJECTS 100

EXPORT obj_type objects[MAX_OBJECTS];
EXPORT int obj_count;
EXPORT obj_type *object_kind[KINDS_COUNT];
EXPORT int object_kind_count[KINDS_COUNT];

EXPORT int still_alive[MAX_OBJECTS];
EXPORT int life_count;

#undef EXPORT
#undef INIT_VARS

