
#ifdef PARALLEL
#define USE_RAND48P
/* random library is not parallel- compatible, 
   but rand_48 seems to work well */
#endif

#ifdef USE_RAND48P
#include "rand48p.h"
#define RANDINT lrand48P
#define RANDSEED srand48P
#else
#define RANDINT random
#define RANDSEED srandom
#endif
