/* common headers & includes */


#include <math.h>
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>

#include <time.h>
#include <errno.h>
#include <stdarg.h>

#include "param.h"

#define Kilo 1000
#define Mega (Kilo*Kilo)
#define BYTEINT signed char
#define cmemcpy(p,q,a,b) memcpy(p,q,(a)*(b))

/* copy object b into object a (must be of the same kind_ */

#define OBJCPY(a,b) memcpy(a,b,sizeof a)

/* allocate memory for n objects of type *a into a */

#define ARRALLOC(a,n) a=emalloc((n)*(sizeof *a))

/* array copy */

#define ARRCPY(a,b,n) memcpy(a,b,(sizeof *a)*(n))


#include "parallel.h"
#include "rand.h"
#include "vector.h"
#include "other.h"
#include "grid.h"
#include "simul.h"
#include "multi.h"
#include "explicit.h"
#include "problem.h"
#include "interface.h"
#include "mutate.h"
#include "evol.h"
#include "share.h"
